#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'utility.data_master'}
#{/set}
<div class="breadcrumb">Data Master</div>
<div class="content">
	<div class="bs-callout bs-callout-info">
		&{'utility.master_desc'}
	</div>
	#{alert /}
	#{form @admin.UtilityCtr.update_datamaster() }
	<ul class="nav nav-tabs" role="tablist">
    	<li class="active"><a href="#propinsi" aria-controls="home" role="tab" data-toggle="tab">&{'utility.provinsi_kabupaten'}</a></li>
    	<li ><a href="#instansi" aria-controls="profile" role="tab" data-toggle="tab">&{'utility.instansi'}</a></li>
    </ul>
    <div class="tab-content">
    	<div class="tab-pane active" id="propinsi">
    		<table class="table table-sm" id="tblkabupaten">
			    <thead>
			    <tr>			        
			        <th width="120">&{'utility.nama'}</th>
			        <th>&{'utility.kab_kota'}</th>
			    </tr>
			    </thead>
			    <tbody>
			    #{list items:propinsiList, as:'propinsi'}
			     <tr>			        
			        <td>${propinsi.prp_nama}</td>
			        <td>${propinsi.kbp_nama}</td>
			    </tr>
			    #{/list}
			    </tbody>
			</table>			
    	</div>
    	<div class="tab-pane" id="instansi">    		
    		<table class="table table-sm" id="tblInstansi">
			    <thead>
			    <tr>
			        <th width="100">&{'utility.jenis'}</th>
			        <th>&{'utility.nama'}</th>
			    </tr>
			    </thead>
			    <tbody>
			    #{list items:instansiList, as:'instansi'}
			    #{if instansi.jenis}
			     <tr>
			        <td>${instansi.jenis}</td>
			        <td>${instansi.nama}</td>
			    </tr>
			    #{/if}
			    #{/list}
			    </tbody>
			</table>
    	</div>
    </div>
    <input type="submit" class="btn btn-success" value="Update Data Master" id="updatePropinsi"/>
#{/form}
</div>
#{set 'css_custom' } 
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript">  
$("#tblkabupaten").DataTable({serverSide:false});
$("#tblInstansi").DataTable({serverSide:false});
</script>
#{/set}